{* SMPrefs.h - constant defines, global variables etc. for SMPrefs.PAS 
 * Jan '94 Lee Kindness
 * Highspeed Pascal 
 *}

TYPE

	pMyNode = ^tMyNode;
	tMyNode = record
		LSK_Node : tNode; { system node structure }
		LSK_Name : string;
		LSK_Cmd  : string;
		LSK_Key  : string[2];
		end;
	
CONST

{ Gadget ID's }
	G_NI       = 1; { NULL initialised gadget   }

{ Button gadgets }
	G_B_TOP    = 2;
	G_B_UP     = 3;
	G_B_DOWN   = 4;
	G_B_BOTTOM = 5;
	G_B_SORT   = 6;
	G_B_NEW    = 7;
	G_B_REMOVE = 8;
	G_B_COPY   = 9;
	G_B_SAVE   = 10;
	G_B_CANCEL = 11;
	G_B_SAVEAS = 12;
	G_B_LOAD   = 13;
	G_B_INFO   = 14;
	G_B_FONT   = 22;
{ string gadgets }
	G_S_TXT    = 15;
	G_S_CMD    = 16;
	G_S_KEY    = 17;
	G_S_SCRID  = 18;
{ listview gadget }
	G_LV       = 19;
{ Integer kind gadget }
	G_IK_ACROS = 20;
{ number display gadget }
	G_ND_DOWN  = 21;
{ text display gadget }
	G_TD_FONT  = 23;
	G_B_CMDREQ = 24;
	G_B_TITREQ = 25;
	G_B_PALREQ = 26;
{ CreateContext() gadget }
	G_CC       = 27; 
	
{ size labels }

	S_Gad_H = 1;
	S_G1_L  = 2;
	S_G2_L  = 3;
	S_G3_L  = 4;
	S_WB_T  = 6;
	S_WB_L  = 7;
	S_WB_R  = 8;
	S_WB_B  = 9;
	S_G1_W  = 10;
	S_G2_W  = 11;
	S_G3_W  = 12;
	S_G_H   = 13;
	S_LV_H  = 14;
	TBS     = 15;
	extra   = 16;
	S_SCRID_W = 17;
		
	Vers       : string = '$VER: SMPrefs v1.00 5.2.94'#0;
   Win_Title  : string = 'SMPrefs v1.00'#0;
   Scr_Title  : string = 'SMPrefs v1.00. 94 Lee Kindness'#0;
   G_B_TOPtxt    : string = 'Top'#0;
   G_B_UPtxt     : string = 'Up'#0;
   G_B_DOWNtxt   : string = 'Down'#0;
   G_B_BOTTOMtxt : string = 'Bottom'#0;
   G_B_SORTtxt   : string = 'Sort'#0;
   G_B_NEWtxt    : string = 'New'#0;
   G_B_REMOVEtxt : string = 'Remove'#0;
   G_B_COPYtxt   : string = 'Copy'#0;
   G_B_SAVEtxt   : string = 'Save'#0;
   G_B_SAVEAStxt : string = 'Save As...'#0;
	G_B_LOADtxt   : string = 'Open...'#0;
   G_B_CANCELtxt : string = 'Cancel'#0;
   G_B_INFOtxt   : string = '?'#0;
   G_S_TXTtxt    : string = 'Gadget Text'#0;
   G_S_CMDtxt    : string = 'Command'#0;
   G_S_KEYtxt    : string = 'Key'#0;
   G_LVtxt       : string = 'Gadget button texts'#0;
   G_IK_ACROStxt : string = 'Across'#0;
   G_B_FONTtxt   : string = 'Font...'#0;
   G_B_CMDREQtxt : string = 'Command...'#0;
   G_ND_DOWNtxt  : string = 'Down'#0;
   Sampstr       : string = 'WorkBench, pick this one now OK'#0;
   Sampstr2      : string = '337'#0;
   fontstr       : string = 'topaz.font'#0;
   PREFSNAME     : string = 'Startup-Menu.prefs';
   PREFSDIRH     : string = 'S:';
   vi            : pointer = NIL;
   TheWindow     : pWindow = NIL;
	CurrentTop    : Longint =0;
	CurrentOrd    : Longint = -1;
	Listviewrows  : Longint = 13; 
         
Var
   Gads         : Array [G_NI..G_CC] Of pGadget;
   Gadgetflags  : tNewGadget;
   My_Font      : tTextAttr;
   BevelTags    : Array[1..3] Of tTagItem;
   Sizes        : Array[1..17] Of Integer;
   DummyReq     : tRequester;
   WindowIDCMP  : LONG;
   RememberKey  : pRemember;
   ListRemKey   : pRemember;
   CurrentList  : pList;
	CurrentNode  : pMyNode;
	pred, succ, 
	tmpnode, 
	newnode      : pMyNode;
	i, oldord    : longint;
	pubname, 
	filename, 
	tmpstr, ts   : string;
	wl, tl : long;

   